/*Criado por: Alex Crispim*/

$(function($){

    /*Função para inserir a persistência da Váriavel DOWNLOAD*/
    $(".downloadArquivo").on("click", function(){
      $(this).attr("target","_blank");
      var arquivo = $(this).attr("href");
      var nomeArquivo = arquivo.substring(arquivo.lastIndexOf("/")+1);
      var extensao = arquivo.substring(arquivo.lastIndexOf(".")+1);
      switch(extensao){
        case "pdf": tipo = "text";
                    break;
        default: tipo = "Não determinado pela Função"
      }
      downloadControl(tipo, nomeArquivo);
    });

    /*Função para inserir a persistência da Váriavel EXTERNAL_LINK*/
    $(".linkExterno").on("click", function(){
      $(this).attr("target","_blank");
      var url = $(this).attr("href");
      externalLinkControl(url);
    });
    
    /*Criação do Accordion Lateral da Página*/
    $('.ui.accordion').accordion();
    
    /*Slider que contém as ilustrações*/
    var posSlide = $(".slider").bxSlider({
      infiniteLoop: false,
      hideControlOnEnd: true,
      slideWidth: 870,
      preloadImages: "all",
      pager: false
    });

    /*Ampliar os balões de conversação*/
    ampliarBaloes();

    /*Ancoragem de textos em relação as imagens
    no html usar a classe no texto com o mesmo nome do id do slide*/

    //Tratamento para caso o primeiro slide tenha ancoragem    
    var primeiroSlide = $(".slider li:eq(0)").attr("id");
    if(primeiroSlide&&$(".accordion .transition").find("*").hasClass(primeiroSlide)){
      //Marca e desmarca o texto de acordo com o slide
      $(".accordion .transition").find("*").removeClass("textoFig");
      $(".accordion .transition").find("."+primeiroSlide).addClass("textoFig");
      //Pega a posição em que o texto está no scroll
      var alvo = $(".accordion .transition ."+primeiroSlide).position().top;
      //Usado para movimentar o scroll na posição do alvo
      if($(".accordion .transition").find("*").hasClass(primeiroSlide)!=undefined){
        $(".accordion .content").animate({ scrollTop: alvo }, 0);
      }
    }
    //Navegação da ancoragem
    $(".bx-next,.bx-prev").on("click",function(){
      //Mostra qual slide é o atual
      var slideAtual = posSlide.getCurrentSlide();
      //Remove a adiciona um atributo para identificação
      $(".slider li").removeAttr("imagem","ativa");
      $(".slider li").eq(slideAtual).attr("imagem","ativa");
      //Pega o atributo ID do slide atual
      var posicao = $(".slider li[imagem=ativa]").attr("id");
      if($(".slider li").eq(slideAtual).has("imagem","ativa")&&$(".accordion .transition").find("*").hasClass(posicao)){
        //Marca e desmarca o texto de acordo com o slide
        $(".accordion .transition").find("*").removeClass("textoFig");
        $(".accordion .transition").find("."+posicao).addClass("textoFig");
        //Pega a posição em que o texto está no scroll
        var alvo = $(".accordion .transition ."+posicao).position().top;
        //Usado para movimentar o scroll na posição do alvo
        if($(".accordion .transition").find("*").hasClass(posicao)!=undefined){
          $(".accordion .content").animate({ scrollTop: alvo }, 500);
        }
      } else {
        $(".accordion .transition").find("*").removeClass("textoFig");
      }
    });

    /*Botões de navegação das atividades*/
    $(".botoes button").on("click", function(){
        var link = $(this).attr("link");
        window.location.href = link;
    });


    /*Modal*/
    $(".modal").on("click", function(){
      var linkModal = $(this).attr("modal");
      $("."+linkModal).modal("show");
    });
    $("div.close").on("click", function(){
      $(this).parents(".modal").modal("hide", true);
    });
    
    

    /*Responsividade ao modificar a janela ou ao entrar na página*/
    //Modifica as fontes nas ilustrações
    fonteCarousel();
    //Muda a estrutura para posicionar o topo
    responsivo();
    $(window).resize(function(){
      fonteCarousel();
      responsivo();
    });

    /*Demostração da Biblioteca Complementar
    $(".biblioteca, .fechar").on("click", function(){
      $(".arquivosComplementares").slideToggle("slow");
    });*/
      
});

/*Funções*/
/*Função para tornar as fontes das ilustrações dinâmicas de acordo com o tamanho
da imagem responsiva*/
function fonteCarousel(){
  var tamanhoCarousel = $(".bx-wrapper").width();
  calcText = tamanhoCarousel * 0.0052 /*Valor referente ao font-size do body dividido pela maior resolução 13 / 1920 */;
  $('.bx-viewport').css('font-size', calcText);
  
  /*Textos dos Balões*/
  /*Página01*/
  $("#txtUnid2Ativ6Fig1").html('Heráclito, atualizando o planejamento do FMS, observei que existem várias despesas contínuas que serão realizadas dentro do exercício financeiro de 2016, e possivelmente não irei conseguir efetuar o pagamento aos fornecedores neste ano, assim pergunto aos Senhores se posso realizá-las assim mesmo?');
  $("#txtUnid2Ativ6Fig1a").html('Sim, desde que se observe o art. 24 da Lei Complementar nº 141/12, que considera, para efeito de cálculo dos recursos mínimos a serem aplicados anualmente em ações e serviços públicos de saúde, as despesas pagas dentro do exercício, as despesas liquidadas e inscritas em Restos a Pagar do exercício, e as despesas empenhadas e não liquidadas que forem inscritas em Restos a Pagar até o limite da disponibilidade de caixa do exercício a qual se referirem.');
  $("#txtUnid2Ativ6Fig1b").html('Então é possível se deixar despesas para o mandato subsequente?');
  $("#txtUnid2Ativ6Fig1c").html('Sim, desde que apontemos a disponibilidade de caixa. Porém, temos de cumprir as exceções acima, para que não tenhamos problemas de prestações das contas e sua posterior aprovação.');
  /*Página02*/
  $("#txtUnid2Ativ6Fig2").html('E se forem necessários mais recursos na conta vinculada do FMS, o Município é obrigado a transferir tais recursos, visto que são despesas as quais já estavam no planejamento da Saúde?');
  $("#txtUnid2Ativ6Fig2a").html('Em 02 de janeiro de 2016 o Município editou o Decreto de nº 02/2016, onde cumpria com as exigências do art. 8º da Lei Complementar nº 101/00, estabelecendo a programação financeira e o cronograma de execução mensal de desembolso, e que trazia o montante dos recursos estimados para serem arrecadados no ano de 2016, incluindo-se nele os recursos vinculados disponíveis.');
  $("#txtUnid2Ativ6Fig2b").html('Mas foram publicados pelo município mais dois decretos sobre esse assunto!!!');
  $("#txtUnid2Ativ6Fig2c").html('Sim, com observância ao art. 9º da referida lei, o Município editou os Decretos de nº. 22/2016 e 43/2016, respectivamente de março e maio deste ano, onde trazia novamente a programação financeira para o exercício em curso, com as limitações de despesas para cada unidade.');
  $("#txtUnid2Ativ6Fig2d").html('Secretária, essas normativas do Poder Executivo estão “estipulando” o valor máximo a transferir ao FMS. Ou seja, para que a senhora cumpra com as suas obrigações para o encerramento do exercício financeiro do último ano do atual mandato, sem infringir nenhum dispositivo legal, deve cumpri-las à risca.');
  $("#txtUnid2Ativ6Fig2e").html('O nosso assessor contábil trouxe uma apresentação das penalidades pelo descumprimento dos requisitos dispostos nos Decretos.<br/>Vamos vê-las.');
  $("#txtUnid2Ativ6Fig2f").html('As contas do Município teriam grandes problemas para serem aprovadas pela Corte de Contas, não eximindo o gestor da saúde de sansões pessoais e institucionais, assim como o Prefeito do Município, como previstas em:<br/><br/>'+
                                'Decreto nº 7.827/12, art. 46 da Lei Complementar nº 141/12;<br/>'+
                                'Decreto-Lei nº 2.848/40;<br/>'+
                                'Lei nº 1.079/50;<br/>'+
                                'Decreto-Lei nº 201/67;<br/>'+
                                'Lei nº 4.429/92;<br/>'+
                                'Lei Complementar nº 101/00, art. 42.');
};
/*Função para modificar o topo do semantic para mudar as logos de lugares*/
function responsivo() {
    var largura = $(document).width();
    if (largura <= 764 && !$(".topo .unasus div:eq(1)").hasClass("logoConasems")) {
        //Em telas menores atribui muda a logo do Conasems de posição e retira os espaços do semantic
        $(".topo .conasems").hide();
        $(".topo .unasus").append("<div class='logoConasems'></div>");
        $(".topo .unasus").attr("style", "padding-bottom: 0 !important");
        $(".topo .seven").attr("style", "padding-top: 0 !important");
        //Sobrescreve o padding dos buttons em telas menores
        $("#btVoltar button").attr("style", "padding-left: 3.2em !important; padding-right: 1em !important;");
        $("#btAvancar button").attr("style", "padding-right: 3.2em !important; padding-left: 1em !important;");
        //Em telas menores atribui a porcentagem para caber 3 botões e muda o botão avançar de posição
        $(".botoes div").attr("style", "width: 33% !important");
        var mudarDiv = $("#btDownloadTexto");
        $("#btAvancar").before(mudarDiv);
        /*Adapta os botões do Título Principal lado a lado em resoluções menores*/
        var tituloResolucaoMenor = $(".destaqueTitulos .tituloPrincipal");
        $(".destaqueTitulos .btNavegar").before(tituloResolucaoMenor);
        $(".destaqueTitulos .tituloPrincipal[1]").remove();
        $(".destaqueTitulos .btNavegar, .destaqueTitulos .btSobre").attr("style", "padding-top: 0 !important; padding-bottom: 0 !important; width: 50% !important;");
    }
    if (largura >= 765) {
        //Em telas maiores volta a logo do Conasems para a posição original
        $(".topo .unasus .logoConasems").remove();
        $(".topo .conasems").show();
        //Remove os atributos setados para telas menores quando se torna maior
        $(".botoes div, #btVoltar button, #btAvancar button").removeAttr("style");
        //Em telas maiores volta o botão avançar para a posição original
        var mudarDiv = $("#btDownloadTexto");
        $("#btAvancar").after(mudarDiv);
        /*Volta os botões do Título Principal a posição original em resoluções maiores*/
        $(".destaqueTitulos .btNavegar, .destaqueTitulos .btSobre").removeAttr("style");
        var tituloResolucaoMaior = $(".destaqueTitulos .tituloPrincipal");
        $(".destaqueTitulos .btNavegar").after(tituloResolucaoMaior);
    }
};

/*Função para Ampliar os balões de conversação*/
function ampliarBaloes(){
  $(".slider li div").on("click", function(){
    //Clona a div que contém o texto
    var balao = $(this).clone().html();
    //Cria dinâmicamente o código da modal na página
    var modal = $("<div class='ui modal baloes'>"+
                  "<i class='close icon'></i>"+
                  "<div class='content'>"+balao+"</div>"+
                  "<div class='actions'>"+
                   "<div class='ui button gray close'>Fechar</div>"+
                  "</div>"+
                  "</div>");
    //Acrescenta a modal dentro do elemento
    $(this).parent().append(modal);
    //Revela a modal criada
    $(this).parent().children(".ui.modal").modal("show");
    //Ao fechar a modal o elemento é removido pois se não a página geraria um novo a cada clique dando erro de perfomance
    $("div.close, .ui.modal.baloes .content, .ui.modal.baloes .actions").on("click", function(){
      $(this).parents(".modal").modal("hide", true);
      $(".ui.modal.baloes").remove();
    });
    $(".ui.dimmer.modals").on("click",function(){
      $(".ui.modal.baloes").remove();
    });
    $(".ui.modal.baloes").parent().css("background-color","rgba(0,0,0,0)");
  });
};

/*Função para atualizar a váriavel STATUS e suas Propriedades*/
function atualizarStatus() {

    var status_change = false;

    var index = 0;
    var pagina02 = 0;

    var status = unasus.pack.getStatus();

    if (status === undefined) {
        status = createStatusDefault();
    }
    if (status === null) {
        return false;
    }

    var navigation = unasus.pack.getPersistence("NAVIGATION");

    var paginaAtual = navigation.current;

    if (status[paginaAtual] === false) {
        status[paginaAtual] = true;
        status_change = true;
    }

    if (status["index"] === true) {
        index = 50;
    }
    if (status["pagina02"] === true) {
        pagina02 = 50;
    }

    var newPorcentagemTotal = index + pagina02;
    var newLTI = newPorcentagemTotal / 100;

    if (newPorcentagemTotal > status.percentage) {
        status.percentage = newPorcentagemTotal;
        status_change = true;
    }

    if (newLTI > status.LTIvalue) {
        status.LTIvalue = newLTI;
        status_change = true;
    }

    if (status.percentage >= 100) {
        if (status.status !== "completed") {
            status_change = true;
            status.status = "completed";
        }
    }

    if (status.percentage < 100 && status.percentage > 0) {
        if (status.status !== "attempted") {
            status_change = true;
            status.status = "attempted";
        }
    }

    if (status.percentage <= 0) {
        if (status.status !== "attended") {
            status_change = true;
            status.status = "attended";
        }
    }

    if (status_change) {
        unasus.pack.setStatus(status);
    }
};